Seller



| **Title:** create a new Auction |
| --- |
| **Acceptance Test:** createAuction | **Priority:** 1 | **Points:** 2 |
| A logged Seller can insert a new Auction referring to one of his Items: when this is done, the Seller will be asked for the start and end time, in addition to the starting price and the incrementation which will be determined by each bid. The system will then show a confirmation or an error message. |



| **Title:** add a new Item |
| --- |
| **Acceptance Test:** addItem | **Priority:** 1 | **Points:** 2 |
| A logged Seller can insert a new Item in the website database. It is not compulsory to open a new Auction when an item is inserted. The Seller must insert a title, a description of the product, one or more images and he will be asked for the category of the product; the system will show a confirmation or an error message. |



User

| **Title:** login |
| --- |
| **Acceptance Test:** userLogin | **Priority:** 1 | **Points:** 3 |
| A registered user can login into the system: he must provide username (or email) and password; the system will show a confirmation or an error message depending on the correctness of those data. |

| **Title:** become a Seller |
| --- |
| **Acceptance Test:** becomeSeller | **Priority:** 1 | **Points:** 2 |
| A logged User can upgrade his account in order to become a Seller, acquiring some privileges. The user will be asked for his Social Security Number, which will be bonded to his account and the Seller&#39;s privileges will be unlocked. |

| **Title:** search an Item |
| --- |
| **Acceptance Test:** searchItem | **Priority:** 2 | **Points:** 1 |
| To all Users is given the possibility to search for a specific Item in the whole website: they can be searched by title or category. |



| **Title:**  search an Auction |
| --- |
| **Acceptance Test:**  searchAuction | **Priority:** 2 | **Points:** 1 |
| To all Users is given the possibility to search for a specific Auction in the whole website: they can be searched by the start or end date and by price; moreover, they can be searched by title or category of the Item they refer to. |



Item



| **Title:** modify an Item |
| --- |
| **Acceptance Test:** modify | **Priority:** 2 | **Points:** 2 |
| A logged Seller can modify an item from his owned items list. More specifically a Seller can modify the description, title and category of the item. At the end the system will show a confirmation or an error message. |



| **Title:** add a new Picture |
| --- |
| **Acceptance Test:** addPicture | **Priority:** 3 | **Points:** 1 |
| A logged Seller can add a picture file for the selected item. A navigation window is open in order to select the picture file the user wants and after the upload the system will show a confirmation or an error message. |









AuctionBeater



| **Title:** place a new Bid |
| --- |
| **Acceptance Test:** placeBid | **Priority:** 1 | **Points:** 3 |
| A logged User which is subscribed to the current Auction can place a bid, increasing the current value of the Item by a fixed sum that was decided by the Seller when the Auction has been created. The system will show the user as current &quot;leader&quot; of the auction or an error message is displayed. |